@echo off
rem Takes two arguments:
rem    1. the path to the HZX file of the application (.hzx)
rem    2. the path to the device certificate file (.pkc)

halugen -tkck tkck0203.key -mcdpkc %2 -ahashk HM0300.mhm -confidential -dataonly -autoPad -appk app_provider.priv -o confidential_app.alu %1

rem The following command dumps the binary structure, showing the signature and Key Translation Unit. Note the app data 
meldump -alu confidential_app.alu